Package org.springframework.batch.item.database.support

# Class SqlServerSequenceMaxValueIncrementer

java.lang.Object
org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer
org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer
org.springframework.batch.item.database.support.SqlServerSequenceMaxValueIncrementer

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`, `org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer`

public class SqlServerSequenceMaxValueIncrementer extends org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer
Incrementer for SQL Server sequences.

Since:
  5.0
Author:
  Mahmoud Ben Hassine

- ## Field Summary

  ### Fields inherited from class org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer

  `paddingLength`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SqlServerSequenceMaxValueIncrementer(DataSource dataSource, String incrementerName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getSequenceQuery()`

  ### Methods inherited from class org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer

  `getNextKey`

  ### Methods inherited from class org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer

  `afterPropertiesSet, getDataSource, getIncrementerName, getPaddingLength, nextIntValue, nextLongValue, nextStringValue, setDataSource, setIncrementerName, setPaddingLength`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SqlServerSequenceMaxValueIncrementer

    public SqlServerSequenceMaxValueIncrementer(DataSource dataSource, String incrementerName)

- ## Method Details

  - ### getSequenceQuery

    protected String getSequenceQuery()
    Specified by:
      `getSequenceQuery` in class `org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer`